## Service-side Connection and Channel ServicePoint interfaces

Service-side Connection and Channel ServicePoint interfaces — GInterfaces to implement the ServicePoint interfaces

## Functions

void | tp_svc_connection_interface_service_point_emit_service_points_changed ()
void | tp_svc_channel_interface_service_point_emit_service_point_changed ()

## Signals

void | service-points-changed | Has Details
void | service-point-changed | Has Details

## Types and Values

| TpSvcConnectionInterfaceServicePoint
| TpSvcConnectionInterfaceServicePointClass
| TpSvcChannelInterfaceServicePoint
| TpSvcChannelInterfaceServicePointClass

## Object Hierarchy

        GInterface
        ├── TpSvcChannelInterfaceServicePoint
        ╰── TpSvcConnectionInterfaceServicePoint

## Includes

    #include <telepathy-glib/telepathy-glib-dbus.h>

## Description

In some protocols, mainly those that interact with the PSTN, it's possible to contact the emergency services or other public service answering points. The ServicePoint interfaces on the Connection and Channel can be used to discover how to contact these service points, and detect whether a call in progress is communicating with a service point.

This section documents the auto-generated GInterfaces used to implement the ServicePoint interfaces.

## Functions

### tp_svc_connection_interface_service_point_emit_service_points_changed ()

    void
    tp_svc_connection_interface_service_point_emit_service_points_changed
                                   (gpointer instance,
                                    const GPtrArray *arg_Service_Points);

Type-safe wrapper around g_signal_emit to emit the ServicePointsChanged signal on interface org.freedesktop.Telepathy.Connection.Interface.ServicePoint.

#### Parameters

instance | The object implementing this interface |
arg_Service_Points | const GPtrArray * (FIXME, generate documentation) |

### tp_svc_channel_interface_service_point_emit_service_point_changed ()

    void
    tp_svc_channel_interface_service_point_emit_service_point_changed
                                   (gpointer instance,
                                    const GValueArray *arg_Service_Point);

Type-safe wrapper around g_signal_emit to emit the ServicePointChanged signal on interface org.freedesktop.Telepathy.Channel.Interface.ServicePoint.

#### Parameters

instance | The object implementing this interface |
arg_Service_Point | const GValueArray * (FIXME, generate documentation) |

## Types and Values

### TpSvcConnectionInterfaceServicePoint

    typedef struct _TpSvcConnectionInterfaceServicePoint TpSvcConnectionInterfaceServicePoint;

Dummy typedef representing any implementation of this interface.

### TpSvcConnectionInterfaceServicePointClass

    typedef struct _TpSvcConnectionInterfaceServicePointClass TpSvcConnectionInterfaceServicePointClass;

The class of TpSvcConnectionInterfaceServicePoint. This interface has no D-Bus methods, so an implementation can typically pass `NULL` to `G_IMPLEMENT_INTERFACE()` as the interface initialization function.

### TpSvcChannelInterfaceServicePoint

    typedef struct _TpSvcChannelInterfaceServicePoint TpSvcChannelInterfaceServicePoint;

Dummy typedef representing any implementation of this interface.

### TpSvcChannelInterfaceServicePointClass

    typedef struct _TpSvcChannelInterfaceServicePointClass TpSvcChannelInterfaceServicePointClass;

The class of TpSvcChannelInterfaceServicePoint. This interface has no D-Bus methods, so an implementation can typically pass `NULL` to `G_IMPLEMENT_INTERFACE()` as the interface initialization function.

## Signal Details

### The `“service-points-changed”` signal

    void
    user_function (TpSvcConnectionInterfaceServicePoint *self,
                   gpointer                              user_data)

The ServicePointsChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Service_Points | const GPtrArray * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“service-point-changed”` signal

    void
    user_function (TpSvcChannelInterfaceServicePoint *self,
                   gpointer                           user_data)

The ServicePointChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Service_Point | const GValueArray * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details